/*
 * ClinicaArcoCego.h
 *
 *  Created on: 4 de Set de 2018
 *      Author: escarvalho
 */

#ifndef CLINICAARCOCEGO_H_
#define CLINICAARCOCEGO_H_

#include <iostream>
#include <string>
#include <list>

#include "Paciente.h"
#include "Internamento.h"
#include "Cirurgia.h"
#include "Consulta.h"

namespace std {

class ClinicaArcoCego {
private:
	  list<Paciente> lPaciente;
	  list<Paciente>::iterator itPaciente;
	  list<Consulta> lConsulta;
	  list<Consulta>::iterator itConsulta;
	  list<Internamento> lInternamento;
	  list<Internamento>::iterator itInternamento;
	  list<Cirurgia> lCirurgia;
	  list<Cirurgia>::iterator itCirurgia;

public:
	ClinicaArcoCego();
	virtual ~ClinicaArcoCego();
  	list <Cirurgia> getCirurgia() const;
    list<Consulta> getConsulta() const;
    list<Internamento> getInternamento() const;
    list<Paciente> getPaciente() const;
    void setCirurgia(list<Cirurgia> lCirurgia);
    void setConsulta(list<Consulta> lConsulta);
    void setInternamento(list<Internamento> lInternamento);
    void setPaciente(list<Paciente> lPaciente);
    void registaPaciente();
    void marcaCirurgia();
    void marcaConsulta();
    void marcaInternamento();
    void lista();
    list<Paciente>::iterator escolhePaciente();
};

} /* namespace std */
#endif /* CLINICAARCOCEGO_H_ */
