/*
 * Consulta.h
 *
 *  Created on: 4 de Set de 2018
 *      Author: escarvalho
 */

#ifndef CONSULTA_H_
#define CONSULTA_H_

#include <iostream>
#include <string>

#include "Data.h"

namespace std {

class Consulta {
private:
	string razao;
	string medico;
	Data dConsulta;
	int hora;
	string nomePaciente;
public:
	Consulta();
	virtual ~Consulta();
    Data getConsulta() const;
    int getHora() const;
    string getMedico() const;
    string getNomePaciente() const;
    string getRazao() const;
    void setConsulta(Data dConsulta);
    void setHora(int hora);
    void setMedico(string medico);
    void setNomePaciente(string nomePaciente);
    void setRazao(string razao);
    void lista();
};

} /* namespace std */
#endif /* CONSULTA_H_ */
