/*
 * Internamento.h
 *
 *  Created on: 4 de Set de 2018
 *      Author: escarvalho
 */

#ifndef INTERNAMENTO_H_
#define INTERNAMENTO_H_

#include <iostream>
#include <string>

#include "Data.h"

namespace std {

class Internamento {
private:
	string razao;
	string medico;
	Data dEntrada;
	int duracao;
	string nomePaciente;
public:
	Internamento();
	virtual ~Internamento();
    int getDuracao() const;
    Data getEntrada() const;
    string getMedico() const;
    string getNomePaciente() const;
    string getRazao() const;
    void setDuracao(int duracao);
    void setEntrada(Data dEntrada);
    void setMedico(string medico);
    void setNomePaciente(string nomePaciente);
    void setRazao(string razao);
    void lista();
};

} /* namespace std */
#endif /* INTERNAMENTO_H_ */
