/*
 * Paciente.h
 *
 *  Created on: 4 de Set de 2018
 *      Author: escarvalho
 */

#ifndef PACIENTE_H_
#define PACIENTE_H_

#include <iostream>
#include <string>

namespace std {

	class Paciente
	{
	private:
	    enum Animal{cao, gato};
	    string nomePaciente;
	    string nomeDono;
	    long int telefone;
	    Animal tipo;
	    string raca;
	    int idade;
	public:
	    Paciente();
	    virtual ~Paciente();
	    int getIdade() const;
	    string getNomeDono() const;
	    string getNomePaciente() const;
	    string getRaca() const;
	    long int getTelefone() const;
	    Animal getTipo() const;
	    void setIdade(int idade);
	    void setNomeDono(string nomeDono);
	    void setNomePaciente(string nomePaciente);
	    void setRaca(string raca);
	    void setTelefone(long int telefone);
	    void setTipo(Animal tipo);
	    void lista();
	};

} /* namespace std */
#endif /* PACIENTE_H_ */
